
QGIS Application - Bug report #476

Print composer: WMS not saved to image export

2006-12-22 03:29 AM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10535

Description

Hi,

in the print composer, when creating a map with SHAPE files and WMS layers, the print composer omits to write the WMS layer(s) into

the image export (SVN export untested).

Best,

Markus

History

#1 - 2006-12-29 12:34 PM - Gary Sherman

Moved to 0.8.1 release

#2 - 2007-01-03 08:44 PM - anonymous -

Works for me with svn head and the latest version from the 0.8 release branch. Can you try testing again?

#3 - 2007-02-25 06:40 PM - Tim Sutton

Changed version to 0.8.0 since version 0.8.1 is not released yet...

#4 - 2007-02-25 07:23 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#5 - 2007-04-25 04:51 AM - Redmine Admin

This appears only in post 0.8.0 versions. In 0.8.0 there was no problem and WMS layers were exported correctly. That means that was broken by some

code change after 0.8.0 and hopefully it could be resolved before 0.8.1.

#6 - 2007-05-30 11:18 AM - Redmine Admin

I find out that it works in general. The only problem is that QGIS request for WMS map in Print Composer is based on [[PrintComposer]] resolution (which
is 300 DPI by default). The most of WMS servers have some limit for max image size which results in empty WMS layers in Print Composer (print or

exporting as image). Decreasing of map print resolution obviously helps.

It would be nice to have some warning if it is not possible to get a layer from WMS in desired resolution or mechanism to resample WMS layer from lower

resolution to print resolution (?).

#7 - 2007-06-11 05:51 PM - Tim Sutton

Im moving this to 0.8.2 since we wont be fixing it before 0.8.1 release

#8 - 2008-03-17 09:24 AM - leolami -

I make some test in QGIS 0.9.2 and I have a particular situation.

I load a WMS layer from Lizardtech server (WGS 84) and then a shape (+proj=utm +zone=13 +ellps=clrk66 +datum=NAD27 +units=m +no_defs) coming

from Spearfish60.

Then I reproject on fly to WGS84 and I see all the layers in the canvas.

I load the print composer and with my big surprise I see the WMS layer but I don't see the shape....

#9 - 2008-09-07 03:03 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed

Printing WMS as well as exporting WMS layers work for me now. Please test again with trunk and reopen this ticket if there is still a problem.

#10 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
